Setup

The documentation in this chapter contains the information that is relevant for you, if you are want to install and/or uninstall the plugin on your MediaWiki.


Compatibility

MediaWiki 1.19, 1.20, 1.21, 1.22, 1.23, 1.24

Requirements

  • PHP PHP 5.4/5.5/5.6/7.0
  • Installed vBulletin: 4.0, 4.1 or 4.2
  • Installed PHP cURL, mCrypt extensions

Install

Note please: It’s best to put the site into Maintenance Mode first and take a backup, before you start making any other changes!

  1. Download MediaWiki vBSSO.
  2. Unzip and upload everything to /extensions/ directory of your MediaWiki installation.
  3. Open LocalSettings.php file in the root of MediaWiki installation and add require_once( “$IP/extensions/vbsso/vbsso.php” );
  4. Make sure that .conf files are writable.

Note

Plugin should be activated!

Upgrade

Note please: It’s best to put the site into Maintenance Mode first and take a backup, before you start making any other changes!

  1. Uninstall the old plugin installation (see Uninstall chapter).
  2. Install the latest plugin version (see Install chapter).

Uninstall

Note please: It’s best to put the site into Maintenance Mode first and take a backup, before you start making any other changes!

  1. Open LocalSettings.php file in the root of MediaWiki installation and remove require_once( “$IP/extensions/vbsso/vbsso.php” );
  2. [Optional] Remove /extensions/vbsso` directory via FTP.

Note

The plugin should be successfully deleted.